#include "HashTableEntry.h"

#include "YBWCManager.h"

#include "value.h"

HashTableEntry* HashTableEntry_Construct(HashTableEntry* pThis)
{
  HashTableEntry_Init(pThis);

  return pThis;
}

void HashTableEntry_Destruct(HashTableEntry* pThis)
{
  if(pThis)
  {
    free(pThis);
  }
}

HashTableEntry* HashTableEntry_Init(HashTableEntry* pThis)
{
  pThis->nKey       = 0;
  pThis->nMove      = MoveNone;
  pThis->nDepth     = -128;
  pThis->nFlags     = TransUnknown;
  pThis->nValue     = ValueNone;

  return pThis;
}
